export { NgxRepositoryModule } from './lib/ngx-repository.module';
export { ProviderActionEnum } from './lib/enums/provider-action.enum';
export { ProviderError } from './lib/exceptions/provider.error';
export { ValidatorError } from './lib/exceptions/validator.error';
export { IFactoryModel } from './lib/interfaces/factory-model';
export { IHttpClient } from './lib/interfaces/http-client';
export { IMockProviderOptions } from './lib/interfaces/mock-provider-options';
export { IModel } from './lib/interfaces/model';
export { IPaginationMeta } from './lib/interfaces/pagination-meta';
export { IProviderActionActionModel } from './lib/interfaces/provider-action-action-model';
export { IProviderActionOptions } from './lib/interfaces/provider-action-options';
export { IProviderOptions } from './lib/interfaces/provider-options';
export { IProvider } from './lib/interfaces/provider';
export { IRestOptions } from './lib/interfaces/rest-options';
export { IRestProviderActionHandlers } from './lib/interfaces/rest-provider-action-handlers';
export { IRestProviderActionOptions } from './lib/interfaces/rest-provider-action-options';
export { IRestProviderOptions } from './lib/interfaces/rest-provider-options';
export { Model } from './lib/models/model';
export { PaginationMeta } from './lib/models/pagination-meta';
export { MockProviderActionHandlers } from './lib/providers/mock-provider-action-handlers';
export { MockProvider } from './lib/providers/mock.provider';
export { Provider } from './lib/providers/provider';
export { RestProviderActionHandlers } from './lib/providers/rest-provider-action-handlers';
export { RestProvider } from './lib/providers/rest.provider';
export { DynamicRepository } from './lib/services/dynamic.repository';
export { Repository } from './lib/services/repository';
export { FakeHttpClient } from './lib/utils/fake-http-client';
export { IFakeHttpClientOptions } from './lib/utils/fake-http-client';
export declare const Modules: any[];
export declare const Shareds: any[];
